Description: asused stopped working because changed fields are missing in newer objects
Author: Matthias Cramer <cramer@iway.ch>
Origin: other, https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=799919;msg=5;filename=in.pm.patch;att=1
Bug-Debian: https://bugs.debian.org/799919
Forwarded: no
Reviewed-By: Sebastien Badia <seb@sebian.fr>
Last-Update: 2020-01-18

--- a/Net/RIPEWhois/in/in.pm
+++ b/Net/RIPEWhois/in/in.pm
@@ -351,9 +351,9 @@ sub getIn {
 		    # Tech-c
 		    push(@{$in{'tc'}}, $value);
 		}
-		elsif($inetnum && $attr eq 'ch') {
+		elsif($inetnum && $attr eq 'lm') {
 		    # Changed
-		    push(@{$in{'ch'}}, $value);
+		    push(@{$in{'lm'}}, $value);
 		}
 		elsif($inetnum && $attr eq 'so') {
 		    # Source
@@ -373,14 +373,14 @@ sub getIn {
         # Get creation date for valid inetnum object
         if($inetnum) {
             # Validate date
-            my $date = $self->creationDate(@{$in{'ch'}});
+            my $date = $self->creationDate(@{$in{'lm'}});
 	    
             if($date) {
                 $in{'created'} = $date;
             }
             else {
                 $self->error($INVALID_DATE, 
-                             ("Invalid date in " . join('; ', @{$in{'ch'}})));
+                             ("Invalid date in " . join('; ', @{$in{'lm'}})));
                 
                 push(@{$in{'warning'}}, ($self->error())[1]);
             }
@@ -560,7 +560,7 @@ sub  creationDate {
     my @dateList;
     #don't trust the date from db
     foreach my $dateStr (@ch) {
-	if($dateStr =~ /(\d+)$/) {
+	if($dateStr =~ /([\d\-]+)(T.*)?$/) {
     	    my $date = $1;
             return  unless ($date = checkYYYYmmDD($date)) ; #look if it is valid date
             push(@dateList, $date); #make list of valid dates
@@ -582,7 +582,7 @@ sub checkYYYYmmDD {
         my($yyyyMMdd) = @_;     #date 
         my($yy, $mm, $dd, $utc, $yyActual, $mmActual, $ddActual, $date);
         my($sec, $min, $hour, $wday, $yday, $isdst); # Temp vars
-	
+	$yyyyMMdd =~ s/\-//g;
         #YYYYMMDD
         if($yyyyMMdd =~ /^(\d{4})(\d{2})(\d{2})$/) {
             $yy = $1 - 1900;
@@ -654,7 +654,7 @@ sub initHashValues  {
   $dest->{'mb'} = []; # list of mnt-by  values
   $dest->{'ac'} = []; # list of admin-c values
   $dest->{'tc'} = []; # list of tech-c values
-  $dest->{'ch'} = []; # list of changed values
+  $dest->{'lm'} = []; # list of changed values
   $dest->{'so'} = ''; # source 
   $dest->{'ml'} = []; # list of mnt-lower
   $dest->{'na'} = ''; # netname
